<?xml version="1.0" encoding="UTF-8"?>
<feature
      id="org.eclipse.papyrus.designer.languages.codegen.headless.feature"
      label="%featureName"
      version="3.1.0.qualifier"
      provider-name="%providerName">

   <description url="http://www.example.com/description">
      Headless code generation from Papyrus. The feature includes
- A C++ profile, code generation and reverse
- Java profile, code generation and reverse
   </description>

   <copyright url="https://www.eclipse.org/legal/epl-2.0/">
      Copyright (c) CEA LIST
All rights reserved. This program and the accompanying materials
are made available under the terms of the Eclipse Public License
v2.0 which accompanies this distribution, and is available at
https://www.eclipse.org/legal/epl-2.0/
   </copyright>

   <license url="%licenseURL">
      %license
   </license>

   <plugin
         id="org.eclipse.papyrus.designer.languages.cpp.codegen"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.designer.languages.cpp.profile"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.designer.languages.cpp.library"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.designer.languages.cpp.reverse"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.designer.languages.java.codegen"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.designer.languages.java.library"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.designer.languages.java.profile"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.designer.languages.java.reverse"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.designer.languages.python.codegen"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.designer.languages.python.profile"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.designer.languages.python.library"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.designer.languages.c.codegen"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.designer.transformation.profile"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.designer.deployment.profile"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.designer.transformation.core"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.designer.transformation.library"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.designer.transformation.modellibs"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.designer.transformation.base"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.designer.transformation.languages.cpp.library"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.designer.transformation.languages.java.library"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

</feature>
